> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablepayfi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询法币收款详情与归因码

> 查询法币收款详情与归因码

完整[认证、签名、数据约定与错误响应](https://docs.stablepayfi.ai/zh/api/stablecoin-exchange/overview)。每次重试均须重新生成时间戳、nonce 与签名。

`GET /fiat/account_details` 返回本地清算账户信息与归因码，字段随币种而异。

## 请求头

**Authorization** `string` *required*

Bearer API Key。

**X-StablePay-Timestamp** `string` *required*

Unix 秒，允许与服务端相差最多 5 分钟。

**X-StablePay-Nonce** `string` *required*

每次请求唯一的随机串，16–64 字符。

**X-StablePay-Signature** `string` *required*

HMAC-SHA256 签名，小写十六进制；签名必须对应实际发送的请求体。

## 请求参数

**merchant\_id** `string`

10 位数字；商户 App 不传，服务商 App 传值指定作用商户

**currency** `string` *required*

法币币种，ISO 4217

## 响应

**account\_details** `object` *required*

收款详情对象

**account\_details.merchant\_id** `string` *required*

商户 ID

**account\_details.currency** `string` *required*

币种

**account\_details.type** `string` *required*

固定为 `fiat_account_details`

**account\_details.details** `object` *required*

银行字段，如 `bank_name`、`account_number`、`reference_code`

**account\_details.instructions** `string`

归因码填写说明

## 状态与错误

404 币种不支持。

```bash cURL theme={"system"}
curl --request GET \
  --url "https://api.stablepay.co/api/v1/fiat/account_details?currency=<CURRENCY>" \
  --header "Authorization: Bearer <API_KEY>" \
  --header "X-StablePay-Timestamp: <TIMESTAMP>" \
  --header "X-StablePay-Nonce: <NONCE>" \
  --header "X-StablePay-Signature: <SIGNATURE>"
```

```javascript JavaScript theme={"system"}
const response = await fetch("https://api.stablepay.co/api/v1/fiat/account_details?currency=<CURRENCY>", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <API_KEY>",
    "X-StablePay-Timestamp": "<TIMESTAMP>",
    "X-StablePay-Nonce": "<NONCE>",
    "X-StablePay-Signature": "<SIGNATURE>"
  }
});
console.log(await response.json());
```

```json 200 theme={"system"}
{
  "account_details": {
    "merchant_id": "2000000001",
    "currency": "USD",
    "type": "fiat_account_details",
    "details": {
      "bank_name": "StablePay Partner Bank",
      "account_holder_name": "STABLEPAY PTE. LTD.",
      "account_number": "0123456789",
      "routing_number": "026009593",
      "reference_code": "SP-MCH-000001-USD"
    },
    "instructions": "Include reference_code SP-MCH-000001-USD in the transfer reference."
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.